---------------------
PatchSet 10901 
Date: 2006/08/02 21:33:51
Author: hno
Branch: HEAD
Tag: (none) 
Log:
Bug #1707: delay pools ignores bandwidth limit

This patch patch removes a old stale condition which had been forgotten in
the delay pools code.

The condition became outdated in 2000/05/07 when the store client list
management changed and the callback_data no longer is used in the same manner
to indicate an "empty slot", but only recently the forgotten code caused ill
effects when the store client management was refined again.

Members: 
	src/delay_pools.c:1.32->1.33 

Index: squid/src/delay_pools.c
===================================================================
RCS file: /cvsroot/squid/squid/src/delay_pools.c,v
retrieving revision 1.32
retrieving revision 1.33
diff -u -r1.32 -r1.33
--- squid/src/delay_pools.c	8 Jun 2006 19:36:36 -0000	1.32
+++ squid/src/delay_pools.c	2 Aug 2006 21:33:51 -0000	1.33
@@ -1,6 +1,6 @@
 
 /*
- * $Id: delay_pools.c,v 1.32 2006/06/08 19:36:36 hno Exp $
+ * $Id: delay_pools.c,v 1.33 2006/08/02 21:33:51 hno Exp $
  *
  * DEBUG: section 77    Delay Pools
  * AUTHOR: David Luyer <david@luyer.net>
@@ -657,8 +657,6 @@
     dlink_node *node;
     for (node = mem->clients.head; node; node = node->next) {
 	sc = (store_client *) node->data;
-	if (sc->callback_data == NULL)	/* open slot */
-	    continue;
 	i = delayBytesWanted(sc->delay_id, i, max);
 	found = 1;
     }
@@ -675,8 +673,6 @@
     delay_id d = 0;
     for (node = mem->clients.head; node; node = node->next) {
 	sc = (store_client *) node->data;
-	if (sc->callback_data == NULL)	/* open slot */
-	    continue;
 	j = delayBytesWanted(sc->delay_id, 0, INT_MAX);
 	if (j > jmax) {
 	    jmax = j;
